package com.steerinfo.dil.service;

import com.steerinfo.dil.model.OmstruckOrderMaterial;
import com.steerinfo.dil.model.RmsPwarehouseGrid;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * OmstruckOrderMaterial服务接口：
 *
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-03 04:55
 * 类描述
 * 修订历史：
 * 日期：2021-09-03
 * 作者：generator
 * 参考：
 * 描述：OmstruckOrderMaterial服务接口
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 * @see null
 */
public interface IOmstruckOrderMaterialService {

    //用于远程调用新增订单子表
    int insertSelective(OmstruckOrderMaterial omstruckOrderMaterial);

    List<Map<String,Object>> warehouseId();

    List<Map<String,Object>> platformId();

    List<Map<String,Object>> stackingId();

    BigDecimal gridId();

    int insertSelective(RmsPwarehouseGrid rmsPwarehouseGrid);

    int insertGrid();
}